#!/usr/bin/perl

use Net::Twitter;
use Data::Dumper;

if (@ARGV < 2) {
	die "Usage: ./public_timeline.pm <username> <password> <status> [apiurl [apihost]]";
}
my ($username, $password, $status, $apiurl, $apihost) = @ARGV;
my $twit = Net::Twitter->new(username=>$username,
						     password=>$password,
						     apiurl=>$apiurl,
						     apihost=>$apihost,
						     apirealm=>"Shovel API");
my $result = $twit->update($status);
print Dumper($result);
